#include "Main.h"

// Code
bool InitGL()													
{
	glClearColor( 0.0, 0.0, 0.0, 1.0 ); 
	return true;											
}

bool Initialize(void)											
{
	g_AppStatus.Visible		= true;	
	g_AppStatus.MouseFocus	= true;
	g_AppStatus.KeyboardFocus = true;
	return true;												
}

void Deinitialize(void)									
{
	return;														
}


void Draw(SDL_Surface *g_Screen)								
{
	glClear (GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);	
	return;
}

void ReshapeGL(int width, int height)
{
	glViewport(0,0,(GLsizei)(width),(GLsizei)(height));	
	return;
}

void Keyboard(SDL_Event	&E)
{
	Uint8*	Keys;												
	Keys = NULL;
	Keys = SDL_GetKeyState(NULL);
	if(Keys)		
	{
		if(Keys[SDLK_ESCAPE])		
		{
			TerminateApplication();
		}

		if(Keys[SDLK_F1])
		{
			ToggleFullscreen();	
		}
	}
}

void Mouse ( int button, int state, int x, int y )
{

}

void Motion ( int x, int y )
{

}

void PassiveMotion ( int x, int y )
{

}

int main(int argc, char *argv[])
{

	InitSDL();
	CreateWindowGL(argc,argv);

	glewInit(); 

	if(!InitGL())															
	{
		printf("Can't init GL: %s\n", SDL_GetError() );					
		exit(1);														
	}

	if(!Initialize())													
	{
		printf("App init failed: %s\n", SDL_GetError() );				
		exit(1);														
	}

	MainLoop();

	Deinitialize();

	exit(0);
	return 0;
}
